haskell2010-1.1.1.0: Compatibility with Haskell 2010

Safe Haskell | Safe

Foreign.Marshal.Error

Synopsis

- throwIf :: (a -> Bool) -> (a -> String) -> IO a -> IO a
- throwIf_ :: (a -> Bool) -> (a -> String) -> IO a -> IO ()
- throwIfNeg :: (Ord a, Num a) => (a -> String) -> IO a -> IO a
- throwIfNeg_ :: (Ord a, Num a) => (a -> String) -> IO a -> IO ()
- throwIfNull :: String -> IO (Ptr a) -> IO (Ptr a)
- void :: IO a -> IO ()

# Documentation

throwIf Source

Arguments

:: (a -> Bool) | error condition on the result of the `IO` action
-> (a -> String) | computes an error message from erroneous results of the `IO` action
-> IO a | the `IO` action to be executed
-> IO a |

Execute an `IO` action, throwing a `userError` if the predicate yields `True` when applied to the result returned by the `IO` action. If no exception is raised, return the result of the computation.

throwIf_ :: (a -> Bool) -> (a -> String) -> IO a -> IO ()Source

Like `throwIf`, but discarding the result

throwIfNeg :: (Ord a, Num a) => (a -> String) -> IO a -> IO aSource

Guards against negative result values

throwIfNeg_ :: (Ord a, Num a) => (a -> String) -> IO a -> IO ()Source

Like `throwIfNeg`, but discarding the result

throwIfNull :: String -> IO (Ptr a) -> IO (Ptr a)Source

Guards against null pointers

void :: IO a -> IO ()

Discard the return value of an `IO` action